Skip to content

Clipboard API

All endpoints require authentication. Base path: /api/v1/clipboard.

MethodPathDescription
GET/v1/clipboardList clipboard entries
POST/v1/clipboardCreate a text entry
POST/v1/clipboard/imageCreate an image entry
GET/v1/clipboard/{id}/imageGet an image entry
DELETE/v1/clipboard/{id}Delete an entry
GET /v1/clipboard
ParameterTypeDescription
per_pageintegerItems per page
typestringFilter: text or image

Returns clipboard entries sorted by creation time, newest first.

POST /v1/clipboard
FieldTypeRules
contentstringRequired. Text content
POST /v1/clipboard/image
Content-Type: multipart/form-data
FieldTypeRules
imagefileRequired. Image file
GET /v1/clipboard/{id}/image

Returns the raw image binary with the appropriate Content-Type header.

DELETE /v1/clipboard/{id}

Permanently removes the clipboard entry and its associated image (if any).